Package org.eclipse.emf.compare.match.impl

# Class NotLoadedFragmentMatch

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.compare.impl.MatchImpl
org.eclipse.emf.compare.internal.spec.MatchSpec
org.eclipse.emf.compare.match.impl.NotLoadedFragmentMatch

All Implemented Interfaces:
  `Notifier`, `Match`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`

public class NotLoadedFragmentMatch extends MatchSpec
The not loaded fragment match.

Since:
  3.2

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.impl.MatchImpl

`copyright, differences, left, origin, right, submatches`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Constructor
Description
`NotLoadedFragmentMatch()`
Constructor.
`NotLoadedFragmentMatch(Collection<Match> children)`
Constructor.
`NotLoadedFragmentMatch(Match child)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Collection<Match>`
`getChildren()`
Get children.
`Comparison`
`getComparison()`
`Match`
`getFirstMatchChild()`
Get the first match child.
`String`
`getName()`
Get name.
`Resource`
`getResource()`
Get resource.
`int`
`hashCode()`
`void`
`setName(String name)`
Set name.

### Methods inherited from class org.eclipse.emf.compare.internal.spec.MatchSpec

`getAllDifferences, getAllSubmatches, matches, toString`

### Methods inherited from class org.eclipse.emf.compare.impl.MatchImpl

`basicGetLeft, basicGetOrigin, basicGetRight, eGet, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getDifferences, getLeft, getOrigin, getRight, getSubmatches, setLeft, setOrigin, setRight`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### NotLoadedFragmentMatch

public NotLoadedFragmentMatch()
Constructor.

### NotLoadedFragmentMatch

public NotLoadedFragmentMatch(Match child)
Constructor.

Parameters:
  `child` - the child of this not loaded fragment match.

### NotLoadedFragmentMatch

public NotLoadedFragmentMatch(Collection<Match> children)
Constructor.

Parameters:
  `children` - the children of this not loaded fragment match.

## Method Details

### getComparison

public Comparison getComparison()

Specified by:
  `getComparison` in interface `Match`
Overrides:
  `getComparison` in class `MatchSpec`
See Also:
  - `MatchImpl.getComparison()`

### getChildren

public Collection<Match> getChildren()
Get children.

Returns:
  the children.

### getName

public String getName()
Get name.

Returns:
  the name.

### setName

public void setName(String name)
Set name.

Parameters:
  `name` - the name to set.

### getResource

public Resource getResource()
Get resource.

Returns:
  the resource.

### getFirstMatchChild

public Match getFirstMatchChild()
Get the first match child.

Returns:
  the first match child.

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`